/* ==================================================== */
/* This source code published as public domain property */ 
/* Developer: Rompo Punyanitya 				   	        */
/*            BCS from RMIT university        	        */
/* Website: www.users.bigpond.net.au/rpunyani/          */
/* Email:   rpunyani@bigpond.net.au                     */
/* ==================================================== */
#ifndef PRINTINGMODEVIEW_H
#define PRINTINGMODEVIEW_H
#include <View.h>
#include <Bitmap.h>
#include <PrintJob.h>
#include "mode_mono_bitmap.h"
#include "mode_color_bitmap.h"
class PrintingModeView : public BView
{
  public:
    PrintingModeView(BRect,bool color_printer= true);
    virtual ~PrintingModeView();
    virtual void Draw(BRect updateRect);
  public:
    bool ColorPrinter();
    void ColorPrinter(bool);
  private:
    BBitmap *fbitmap[2];
    bool fcolorprinter;
};
#endif