#include "PrinterDriver.h"
PrinterDriver::PrinterDriver(uint8 unit)
:funit(unit)
{

}
PrinterDriver::~PrinterDriver()
{

}
status_t PrinterDriver::PrintJob(BFile *spool_file,BNode *spool_dir,BMessage *msg)
{
  BAlert *myalert = new BAlert("printerdriver","PrinterDriver::PrintJob()","ok");
  myalert->Go();
  return B_OK;
}
status_t PrinterDriver::PageSetup(BMessage *msg)
{
  PageSetupWindow *page_setup_win = new PageSetupWindow(funit);
  page_setup_win->Go(msg);
  if (msg->what == 'okok')
  return B_OK;
  else
  return B_ERROR;
}
status_t PrinterDriver::JobSetup(BMessage *msg)
{
  BAlert *myalert = new BAlert("printerdriver","PrinterDriver::JobSetup()","ok");
  myalert->Go();
  return B_OK;
}
status_t PrinterDriver::AddPrinter(const char *printer_name)
{
  return B_OK;
}
