/* ==================================================== */
/* This source code published as public domain property */ 
/* Developer: Rompo Punyanitya 				   	        */
/*            BCS from RMIT university        	        */
/* Website: www.users.bigpond.net.au/rpunyani/          */
/* Email:   rpunyani@bigpond.net.au                     */
/* ==================================================== */
#ifndef INKLEVEL_ITEM_H
#define INKLEVEL_ITEM_H
#include <GraphicsDefs.h>
class InkLevelItem
{
  public:
    InkLevelItem(rgb_color = B_TRANSPARENT_32_BIT,float level = 0.0f);
    void Color(rgb_color);
    rgb_color Color(void)const;
    float Level(void)const;
    void  Level(float);			// range 0 .. 1.0
  private:
    rgb_color fcolor;
    float     flevel;
};
#endif